!++
!     Define symbols according to macro values
!==

.IFDEF DEBUG
DBG = /DEBUG
DBGOPT = /NOOPTIMIZE/DEBUG
.ELSE
DBG = /NODEBUG
DBGOPT = /OPTIMIZE/NODEBUG
.ENDIF

.IFDEF LIST
LST = /LIST
.ELSE
LST = /NOLIST
.ENDIF

.IFDEF DIAG
DIA = /DIAGNOSTICS
.ELSE
DIA = /NODIAGNOSTICS
.ENDIF

.IFDEF PCA
PCAOPT = /DEBUG
.ENDIF

!++
!      List of tools used and required symbols
!
!      !C used
!      !Executables used
!==


!++
!     Missing sources catch-all
!==

.DEFAULT
   ! No source found for $(MMS$TARGET)
   ! - Attempting to continue



!++
!   Complete application - default build item
!==

COMPLETE_APPLICATION depends_on -
     WATCH_DIR.EXE$(ARCH)
        CONTINUE


!++
!   C
!==

MMS$OLB.OLB$(ARCH)(WATCH_DIR=WATCH_DIR.OBJ$(ARCH)) depends_on -
      WATCH_DIR.C -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
-!   ,ILEDEF.H -
-!   ,IOSBDEF.H -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(SSDEF=SSDEF.H) -
     ,VERSION.H -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=WATCH_DIR.OBJ$(ARCH) WATCH_DIR.C
       LIBRARY/REPLACE MMS$OLB.OLB$(ARCH) WATCH_DIR.OBJ$(ARCH)
       DELETE WATCH_DIR.OBJ$(ARCH);*


!++
!   Links
!==

WATCH_DIR.EXE$(ARCH) depends_on -
      MMS$OLB.OLB$(ARCH)(WATCH_DIR=WATCH_DIR.OBJ$(ARCH)) -
     !
       LINK $(DBG) $(PCAOPT) /EXE=WATCH_DIR.EXE$(ARCH) MMS$OLB.OLB$(ARCH)/LIBRARY/INCLUDE=(WATCH_DIR) -
          ! End of Link




!++
!   Files not found.  MMS references to these files will generate errors.
!==

!     ILEDEF.H
!     IOSBDEF.H

!++
!  Create object library if it doesn't already exist
!==

.FIRST
	! MMS $(mmsqualifiers) $(mmstargets)
       IF F$SEARCH( "MMS$OLB.OLB$(ARCH)" ) .EQS. "" -
		THEN $(LIBR)/CREATE MMS$OLB.OLB$(ARCH)

!++
!  End of build cleanup work
!==

.LAST
       CONTINUE

